﻿/*

    General stuff.

*/

:root {
    --bs-secondary-rgb: 204, 204, 204;
    --swiper-navigation-color: #FFFFFF;
}

html {
    height: 100%;
    min-height: 100%;
    min-height: 100vh;
}

body {
    position: relative;
    height: 100%;
    min-height: 100%;
    min-height: 100vh;
    margin: 0 0;
    padding: 0 0;
    font-family: 'Open Sans', Arial, Helvetica, sans-serif;
    font-size: 20px;
    line-height: 175%;
    color: #FFFFFF;
    background-color: #252525;
}

#frmMaster {
    display: block;
    width: 100%;
    height: 100%;
    min-height: 100%;
    min-height: 100vh;
}

@media (max-width : 767px) {

    /* Note - this breaks the back-to-top button */
    html, body {
        overflow-x: hidden;
    }

    body {
        font-size: 18px;
        line-height: 150%;
    }

}

/* Boostrap Customizations */

.btn.btn-light {
    color: #007C84;
}

.dropdown-toggle.no-arrow::after {
    content: none;
}

.card {
    box-shadow: 0px 2px 4px 0px rgba(0,0,0,0.25);
}

.shadow-sm {
    box-shadow: 0px 2px 4px 0px rgba(0,0,0,0.25) !important;
}

/* ADA Skip Links */

.skip_links {
    text-align: left;
}

.skip_links a {
    position: absolute;
    left: -10000px;
    width: 1px;
    height: 1px;
    overflow: hidden;
}

.skip_links a:focus,
.skip_links a:active {
    position: absolute;
    left: 10px;
    top: 10px;
    width: auto;
    height: auto;
    padding: 10px 20px;
    overflow: visible;
    text-decoration: none;
    font-size: 16px;
    line-height: 150%;
    color: #000000;
    border: 1px solid #FFFFFF;
    background-color: #FCFCFC;
} 

/* Back To Top Button */

#back-to-top {
    z-index: 99999;
    position: fixed;
    bottom: 1.2rem;
    right: 1.25rem;
    display: none;
    box-shadow: 0px 1px 3px 0px rgba(0,0,0,0.33);
}

/* Header */

header {
    padding-top: 20px;
    padding-bottom: 20px;
    color: #202020;
    background-color: #FFFFFF;
}

/* Online Banking Login */

.online-banking {
}

.online-banking-title {
    margin-bottom: 5px;
    font-size: 20px;
    font-weight: bold;
    color: #007C84;
    line-height: 150%;
    text-align: center;
}

.online-banking-login {
}

.online-banking-login #txtUsername {
    position: relative;
    top: 1px;
    border-color: #7FBDC1;
}

.online-banking-login .btn-login,
.online-banking-login .btn-login:visited {
    color: #FFFFFF;
    font-weight: bold;
    text-transform: uppercase;
    background-color: #007C84;
}

.online-banking-login .btn-login:hover {
    color: #FFFFFF;
    background-color: #005f66;
}

.online-banking-links {
    margin-top: 5px;
    padding-left: 10px;
    padding-right: 10px;
    font-size: 14px;
    line-height: 150%;
}

.online-banking-links a,
.online-banking-links a:visited {
    color: #007C84;
    font-weight: bold;
    text-decoration: none;
}

.online-banking-links a:hover {
    color: #FF0000;
}

@media (max-width: 991px) {

    .online-banking {
        padding: 0 30px 0 30px;
    }

}

/* Navbar */

nav {
    background-color: #007C84;
    box-shadow: 0px 1px 3px 0px rgba(0,0,0,0.33);
}

/* Main */

main {
    color: #202020;
    background-color: #FFFFFF;
}

/* Footer */

footer {
    font-size: 16px;
    line-height: 150%;
    color: #FFFFFF;
    background-color: #333333;
}

footer .container-xl {
    padding-top: 2.5rem;
    padding-bottom: 2.5rem;
}

footer .copyright {
    padding-top: 2rem;
    padding-bottom: 2rem;
    background-color: #252525;
}

footer a:not(.btn),
footer a:visited:not(.btn) {
    color: #FFFFFF;
    text-decoration: none;
}

footer a:hover:not(.btn) {
    color: #FFFF00;
    text-decoration: none;
}

footer .contact-info {
    border-right: 4px solid #CCCCCC;
}

footer .contact-info h2 {
    margin-bottom: 0.25rem;
    font-size: 125%;
    font-weight: normal;
    line-height: 125%;
}

footer .contact-info ul.social-icons i {
    font-size: 24px;
    line-height: 24px;
}

footer .quick-links {
    font-size: 14px;
    line-height: 150%;
}

footer .quick-links h2 {
    margin-bottom: 5px;
    font-size: 150%;
    font-weight: bold;
    line-height: 100%;
}

footer .quick-links hr {
    margin-top: 0;
    margin-bottom: 10px;
    border-width: 2px;
    border-color: #CCCCCC;
}

@media (max-width: 991px) {

    footer .contact-info {
        text-align: center;
    }

}

/* Big Photo */

.big-photo {
    position: relative;
    overflow: hidden;
    background-color: #333333;
}

.big-photo picture,
.big-photo img {
    display: block;
    width: 100%;
    height: auto;
}

/* Content Sections */

.content {
    padding-top: 2.5rem;
    padding-bottom: 2.5rem;
}

.content h1,
.content h2,
.content h3,
.content h4,
.content h5 {
    margin-bottom: 1.25rem;
    font-family: Roboto, Arial, Helvetica, sans-serif;
    font-weight: normal;
    color: #007C84;
    line-height: 125%;
}

.content h1 {
    position: relative;
    top: -6px;
    margin-bottom: 1rem;
    font-size: 200%;
}

.content h2 {
    font-size: 166%;
}

.content h3 {
    font-size: 133%;
}

.content h4,
.content h5 {
    font-size: 100%;
}

.content p {
    margin-bottom: 1.5rem;
}

.content ul,
.content ol {
    margin-bottom: 1.5rem;
}

.content a:not(.btn),
.content a:not(.btn):visited {
    text-decoration: none;
}

.content a:not(.btn):hover {
    color: #FF0000;
    text-decoration: none;
}

.content .text-blue {
    color: #007C84;
}

.content .btn.btn-primary,
.content .btn.btn-primary:visited {
    background-color: #007C84;
    border-color: #005f66;
}

.content .btn.btn-primary:hover {
    background-color: #005f66;
    border-color: #005f66;
}

.fine-print{
    font-size:14px;
    font-style:italic;
}

/* Colored Sections */

.content.blue-bg {
    background-color: #007C84;
}

.content.lt-grey-bg {
    background-color: #F8F8F8;
}

.content.grey-bg {
    background-color: #D6D6D6;
}

    .content.grey-bg  h2 {
        color: #156669 !important;
        font-weight: bold;
    }

    .content.grey-bg p {
        color: #156669 !important;
        font-weight: bold;
        line-height: 125%;
    }

    .content.grey-bg div.big-number {
        font-size: 300%;
        color: #fff !important;
        -webkit-text-stroke: 2px #156669;
        font-weight: bold;
        margin-bottom: 24px;
        white-space: nowrap;
    }

    .content.grey-bg .row-borders .col-12 {
        border-right: 10px solid #156669;
    }

    .content.grey-bg .row-borders .col-12:last-of-type{
        border-right:none !important;
        border-bottom:none !important;
        padding-bottom:0px !important;
        padding-right:25px;
    }

    @media(max-width:991px) and (min-width:768px){
        .content.grey-bg .row-borders .col-12:nth-of-type(2){
            border-right:none !important;
        }

    }

    @media(max-width:991px){
        .content.grey-bg .row-borders .col-12:last-of-type{
            padding-right:15px;
        }
    }

    @media(max-width:767px){
        .content.grey-bg .row-borders .col-12 {
            padding-bottom: 24px;
            border-right: none;
            border-bottom:10px solid transparent;
            border-image-slice: 5;
            border-image-source: linear-gradient(to right, rgba(21,102,105,0) 25%,rgba(21,102,105,1) 25%,rgba(21,102,105,1) 75%,rgba(21,102,105,0) 75%); 
        }
    }

.content.dk-green-bg {
    background-color: #156669;
}
    .content.dk-green-bg .card {
        background-color: #D6D6D6;
        text-align: center;
    }

a.btn.btn-credit-builder,
a.btn.btn-credit-builder:visited {
    color: #fff;
    font-size: 150%;
    font-weight: bold !important;
    background-color: #007C84;
    /*border: 6px solid #fff;*/
    padding-top: 25px;
    padding-bottom: 25px;
}

    a.btn.btn-credit-builder:hover,
    a.btn.btn-credit-builder:has(:hover) {
        background-color: #005f66 !important;
    }

.content.loan-rates-summary {
    padding-top: 2rem;
    padding-bottom: 2rem;
    color: #FFFFFF;
    background-color: #007C84;
}

@media (max-width : 991px) {

    .content.loan-rates-summary {
        padding-left: 30px;
        padding-right: 30px;
    }

}

/* Multi Column Lists */

            .list-four-col {
    columns: 4;
    column-gap: 1.5rem;
}

.list-three-col {
    columns: 3;
    column-gap: 1.5rem;
}

.list-two-col {
    columns: 2;
    column-gap: 1.5rem;
}

@media (max-width : 991px) {

    .list-four-col,
    .list-three-col,
    .list-two-col {
        columns: 2;
    }
}

@media (max-width : 767px) {

    .list-four-col,
    .list-three-col,
    .list-two-col {
        columns: 1;
    }
}

/* Home Page */

div.home-top {
    background-color: #333333;
}

.video-caption {
    margin-bottom: 0;
    padding-top: 0.5rem;
    font-size: 80%;
    font-weight: bold;
    line-height: 133%;
    text-align: center;
}

/*.loan-rates-summary .container-fluid  > .row > .col-12:first-child {
    border-right: solid 4px rgba(255,255,255,0.5);
}*/

/*@media (max-width : 767px) {

    .loan-rates-summary .container-fluid > .row > .col-12:first-child {
        border-right: none;
        border-bottom: solid 4px rgba(255,255,255,0.5);
    }

}*/

span.loan-rates-summary-title {
    display: block;
    margin-bottom: 1rem;
    font-size: 133%;
    font-weight: bold;
    color: #FFFFFF;
    text-align: center;
}

.rates-title {
    font-size: 100%;
    font-weight: bold;
    color: #FFFFFF;
    line-height: 150%;
}

.rates-subtitle {
    margin-bottom: 0.5rem;
    font-size: 80%;
    color: #FFFFFF;
    line-height: 150%;
}

.rates-value {
    display: inline-block;
    position: relative;
    font-size: 166%;
    font-weight: bold;
    color: #FFFFFF;
    line-height: 100%;
}

.loan-rates-summary sup {
    position: absolute;
    top: 3px;
    right: -2.5rem;
    padding-left: 0.5rem;
    font-size: 50%;
    line-height: 100%;
}

.loan-rates-summary hr {
    margin-top: 1.5rem;
    margin-bottom: 1rem;
    border-width: 2px;
}

/* Home Page Alert */

div.home-alert {
    padding: 1.5rem;
    background-color: #dc3545;
    font-size: 20px;
    line-height: 150%;
    color: #FFFFFF;
    text-align: center;
}

div.home-alert a,
div.home-alert a:visited {
    color: #FFFFCC;
    font-weight: bold;
    text-decoration: none;
}

div.home-alert a:hover {
    color: #FFFF00;
}

/* Contact Page*/

.ratio.google-map {
    padding-bottom: 33%;
    background-color: #FFFFFF;
}

@media (max-width : 767px) {

    .ratio.google-map {
        padding-bottom: 66%;
    }
}

/* Forms (Contact / Employment / Rental / Etc) */

.app-form .card {
    margin-bottom: 1.5rem;
}

.app-form .card:last-child {
    margin-bottom: 0;
}

.app-form .card-header {
    color: #FFFFFF;
    font-family: Roboto, sans-serif;
    font-size: 133%;
    text-align: center;
    line-height: 150%;
    background-color: #333333;
}

.app-form label {
    font-size: 16px;
    font-weight: bold;
    line-height: 150%;
    margin-bottom: 0.25rem;
}

.app-form .form-group {
    margin-bottom: 10px;
}

.app-form hr {
    border-color: #DDDDDD;
}

.app-form textarea {
    resize: none;
}

textarea {
    resize: none;
}

.app-form.input-group-prepend{
    border-radius:0;
}

.mb-2rem{
    margin-bottom:2rem !important;
}

.pt-1p5rem{
    padding-top:1rem;
}

.pb-0rem{
    padding-bottom:0rem;
}

.mb-2.fo-size{
    font-size:150%;
}

.mb-2.fo-size-branches{
    font-size:125%;
    font-weight:bold;
}

.branches h2{
    font-size:145% !important;
}

@media(max-width:1220px) and (min-width:768px){
    .branches h2{
        font-size:135% !important;
    }
}

@media(max-width:767px){
    .branches h2{
        font-size:155% !important; 
    }
}

/* Re-Added Bootstrap Button Utility because im petty */

.btn-block{
    width:100%;
}

.photo {
    border: 1px solid black;
}

.loan {
    background-color: #007C84;
    color: #ffffff;
    border-bottom: solid 1px #007c84;
}

.loan h3 {
    color:#ffffff;
    margin-top:20px;
}

.loan_change > .row:nth-child(2n+1) {
    background-color: #F8F8F8;
}

.fa-header-custom {
    font-size: 200%;
    color: #007C84
}

.assistance-alert {
    background-color: #FFF0F0;
    border-color: #FFCCCC;
}

.uchoose{
    background-color: #f5f5f5;
    border: 1px solid #e3e3e3;
}

.margin-font{
    font-size:75% !important;
}

    .calc-font {
        font-size: 75% !important;
        color:#000000 !important;
    }

.tac_inline{
    padding-left:60px;
}

.card-header-no-pad{
    padding:0 !important;
}

/* Swiper Customizations For The Home Page */

.swiper-home {
    overflow-x: hidden;
    background-color: #202020;
    border-bottom: 5px solid #007C84;
}

.swiper-home .swiper-slide {
    background: #FFFFFF;
    display: flex;
    width: 60%;
    min-width: 992px;
    max-width: 1021px;
    justify-content: center;
    align-items: center;
    opacity: 0.25;
    filter: grayscale(100%);
    transition: all ease-in-out 0.25s;
}

.swiper-home .swiper-slide.swiper-slide-active {
    filter: grayscale(0%);
    opacity: 1;
}

.swiper-home .swiper-slide img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

@media (max-width: 991px) {

    .swiper-home .swiper-slide {
        background: #FFFFFF;
        display: flex;
        width: 100%;
        min-width: 0;
        max-width: 100%;
        justify-content: center;
        align-items: center;
        opacity: 1.0;
        filter: blur(0);
        transition: all ease-in-out 0.25s;
    }

    .swiper-home .swiper-button-next,
    .swiper-home .swiper-button-prev {
        display: none;
    }

}

/* Stuff */

.card-alt-colors .card:nth-child(2n+1) {
    background-color: rgba(0,0,0,0.03);
}

hr.seperator {
    margin: 1.5rem auto;
    width: 50%;
    border-width: 2px;
    border-color: rgba(0,0,0,0.33);
}

.content .alert-danger-dark {
    background-color: #AA0000;
    color: #FFFFFF;
}

button.accordion-button {
    font-size: 18px !important;
    font-weight: bold;
}

.content .employment .card-body {
    padding: 2rem;
}

.content .employment h2.card-title {
    font-size: 125%;
    line-height: 100%;
}

/* Modal */

#popConfirm {
    z-index: 99999;
    color: #000000;
}

#popConfirm .modal-title {
    font-weight: bold;
}

/* Chatbot Fixes */

.botcopy .botcopy--minimize-box {
    bottom: 75px !important;
    right: -2px !important;
}